🔗 REST APIMarkets
Lists markets for a specific exchange using cursor-based pagination.
GET
header
Authorization<token>API Key is required to access the endpoints
exchange_id*stringThe unique identifier of the exchange (e.g., POLYMARKET).
limit?integerMaximum number of markets to return (1-10000, default 100).
Format
int32Default
100cursor?stringCursor from the previous response's next_cursor field. Omit for the first page.
A page of markets for the given exchange.
- response
Paginated response for the /history endpoint when using cursor-based pagination.
Pass next_cursor as the cursor query parameter in the next request to get the following page.
When next_cursor is null, there are no more results.
data?array<>|nullnext_cursor?string|nullcurl -X GET 'https://api.prediction-markets.finfeedapi.com/v1/markets/string/history'[ { "market_id": "WILL-TRUMP-SELL-10K-25K-GOLD-CARDS-IN-2025_YES", "title": "Will Trump sell 10k-25k Gold Cards in 2025?", "description": "Resolves based on official reporting by the Trump Administration.", "outcome_name": "Yes", "price": 0.12, "status": "Open", "exchange_id": "POLYMARKET", "outcome_type": "Binary" }, { "market_id": "WILL-TRUMP-SELL-10K-25K-GOLD-CARDS-IN-2025_NO", "title": "Will Trump sell 10k-25k Gold Cards in 2025?", "outcome_name": "No", "price": 0.88, "status": "Open", "exchange_id": "POLYMARKET", "outcome_type": "Binary" }]